curl \
-X GET 'MEILISEARCH_URL/tasks/1' \
-H 'Authorization: Bearer API_KEY'{
"uid": 1,
"indexUid": "movies",
"status": "succeeded",
"type": "indexCreation",
"canceledBy": null,
"details": null,
"error": null,
"duration": "PT1S",
"enqueuedAt": "2021-01-01T09:39:00.000000Z",
"startedAt": "2021-01-01T09:39:01.000000Z",
"finishedAt": "2021-01-01T09:39:02.000000Z"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Task :taskUid not found.",
"code": "task_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors/#task_not_found"
}Get task
Retrieve a single task by its uid.
curl \
-X GET 'MEILISEARCH_URL/tasks/1' \
-H 'Authorization: Bearer API_KEY'{
"uid": 1,
"indexUid": "movies",
"status": "succeeded",
"type": "indexCreation",
"canceledBy": null,
"details": null,
"error": null,
"duration": "PT1S",
"enqueuedAt": "2021-01-01T09:39:00.000000Z",
"startedAt": "2021-01-01T09:39:01.000000Z",
"finishedAt": "2021-01-01T09:39:02.000000Z"
}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Task :taskUid not found.",
"code": "task_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors/#task_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Response
Task successfully retrieved.
Represents the current state and details of an asynchronous task.
Tasks are created when you perform operations like adding documents, updating settings, or creating indexes. Use this view to monitor task progress and check for errors.
The type of operation this task performs. Examples include
documentAdditionOrUpdate, documentDeletion, settingsUpdate,
indexCreation, indexDeletion, dumpCreation, etc.
documentAdditionOrUpdate, documentEdition, documentDeletion, settingsUpdate, indexCreation, indexDeletion, indexUpdate, indexSwap, taskCancelation, taskDeletion, dumpCreation, snapshotCreation, export, upgradeDatabase, indexCompaction, networkTopologyChange, dsrUpdate, dsrClear "documentAdditionOrUpdate"